<id>
ImageShack Uploader
</id>

<version>
2.0b
</version>

<mod info>
This is the YaBB 2.2 version of this modification.

This is an extremely simple hack that allows you to place an ImageShack uploader in your forums.  That way, if you don't have attachments enabled, or you want to conserve server space, you can allow your visitors to upload images to ImageShack, and then automatically receive the code to put in their posts.

Credits:
As always, all credits go to the YaBB development team for putting together such a great piece of software.  In addition, all credits go to the BoardMod development team for the same reasons.

For this particular mod, credit needs to go to the ImageShack team for making it so easy to implement this mod.  The information I used to create this mod can be found at:
http://www.imageshack.us/syndicate.php

In addition, I would like to thank T3rrabug and Gabriel Finkelstein for translating the language files for this mod to German and Spanish (respectively).

Changelog:
From version 2.0a
Ported the mod from Y2.1 to Y2.2
Fixed a minor bug that caused errors when editing Admin settings if a board name or template name had non-alphanumeric characters
From version 1.0 final
Added functionality to allow you to enable the ImageShack iFrame on individual boards.
Added functionality to sepcify different text colors for each individual template.
Added functionality to specify which syndication image to show next to the iFrame.
From version 0.1f
Added an option to disable the ImageShack iFrame.
From version 0.1e
Made a minor formatting change to make this mod compatible with YaBB 2.0
From version 0.1d
Fixed some weird corruption problems with German language file.
From version 0.1c
Added a regex to remove any non-numeric characters from the variables stored by this mod.
Fixed a few spots in German translation (thanks Rebus)
From version 0.1b
Added German translation of ImageShack.lng file (thanks t3rrabug)
Added Spanish translation (thanks Gabriel Finkelstein)
Fixed input size issue (it turns out - if you place a # symbol in front of the text color variable, as you normally would in HTML, it renders all of the settings for the iframe useless.  In other words, #ffffff will make none of the customization work.  Instead, you need to type simply ffffff)
Added new warning about text color input
From version 0.1
Removed ModList.pl (which was placed in the original package by mistake).
Fixed the issue that caused the wrong mod settings menu item to be highlighted.
</mod info>

<author>
Curtiss Grymala
</author>

<homepage>
http://dchelp.dcevolution.net
</homepage>

<edit file>
Sources/Post.pl
</edit file>

<search for>
&LoadLanguage('FA');
</search for>

<add after>
&LoadLanguage('ImageShack');
</add after>

<search for>
# /File Attachment's Browse Box Code
</search for>

<add after>
	# ImageShack Uploader IFrame Code
if (-e "$vardir/ImageShack.txt") { require "$vardir/ImageShack.txt"; }

if($is_on_off != 1 && $isboard{$currentboard} == 1) {
	if($imageshack_template{$imageshack_template_name}) {
		$istext = $imageshack_template{$imageshack_template_name};
	}
	elsif($istxtcolor) {
		$istext = $istxtcolor;
	}
	else {
		$istext = "000000";
	}
	if($is_image) {
		$syn_image = $is_image;
	}
	else {
		$syn_image = "imageshack.png";
	}
	$yymain .= qq~
	<tr>
		<td width="23%" valign="top"><b>$imageshack_txt{'2'}</b></td>
		<td>
			<table>
				<tr>
					<td>
						<iframe src="http://www.imageshack.us/iframe.php?txtcolor=$istext&type=forum&size=$issize" scrolling="no" allowtransparency="true" frameborder="0" width="$iswidth" height="$isheight"> $imageshack_txt{'1'} </iframe>
					</td>
					<td>
						<img src="$modimgurl/ImageShack/$syn_image" alt="$imageshack_txt{'2'}" />
					</td>
				</tr>
			</table>
		<!-- Template Name:  $imageshack_template_name \\ Template Color:  $imageshack_template{$imageshack_template_name} \\ Text Color: $istext -->
		</td>
	</tr>
	~;
}
	# /ImageShack Uploader IFrame Code
</add after>

<edit file>
Sources/Load.pl
</edit file>

<search for>
	if (${$uid.$user}{'weburl'} && ${$uid.$user}{'weburl'} !~ m~\Ahttp://~ && ${$uid.$user}{'weburl'} !~ m~\Ahttps://~) { ${$uid.$user}{'weburl'} = "http://${$uid.$user}{'weburl'}"; }
</search for>

<add after>
	$imageshack_template_name = ${$uid.$user}{'template'};
	$imageshack_template_name =~ s/ /_/g;
</add after>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$imageshack_mod = "ImageShack Uploader|<a href=\"http://forums.dcevolution.net/\" target=\"_blank\">Curtiss Grymala</a>|Adds a form element to allow users to upload images directly to ImageShack's server.  You can edit the text color within the ImageShack iFrame, as well as the height and the width of the iFrame.  The information I used to create this mod can be found at <a href=\"http://www.imageshack.us/syndicate.php\">http://www.imageshack.us/syndicate.php</a>|2.0a|January 28, 2006";
	push (@installed_mods, "$imageshack_mod");
</add before>

<edit file>
AdminIndex.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
$imageshack_mod = "imageshack|ImageShack Settings|Edit Your ImageShack Uploader Settings|";
push (@boardmod_mods, "$imageshack_mod");
</add before>

<edit file>
Admin/AdminSubList.pl
</edit file>

<search for>
'modagreement2',"AdminEdit.pl&ModifyAgreement2",
</search for>

<add after>
'imageshack',"ImageShack.pl&ModifyImageShack",
'imageshack2',"ImageShack.pl&ModifyImageShack2",
</add after>